Bug 1252723 - git annex addurl fails if quvi is not installed
git annex addurl fails if quvi is not installed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git-annex (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 03:18 EDT by Dominic Cleal
Modified: 2017-08-08 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:07:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport fix to dist-git master branch (4.21 KB, patch)
2015-08-12 04:08 EDT, Dominic Cleal
no flags Details | Diff

  None (edit)
Description Dominic Cleal 2015-08-12 03:18:20 EDT
Description of problem:
Since Fedora 22, git-annex addurl fails when the video download tool "quvi" is not installed.  It appears to try and run "quvi --version" and should handle it being missing, but instead the whole git-annex command fails.

This works correctly on Fedora 21.

Version-Release number of selected component (if applicable):
git-annex-5.20140717-6.fc22

How reproducible:
Always

Steps to Reproduce:
1. Commit an ordinary file to a git repository.
2. git annex addurl --file test http://example.com

Actual results:
git-annex: quvi: createProcess: runInteractiveProcess: exec: does not exist (No such file or directory)
failed
git-annex: addurl: 1 failed

Expected results:
addurl test (downloading http://example.com ...) 
[..]
ok

Additional info:
An strace of both F22 and F21 versions shows the same, that it's trying to run the quvi command.  I guess something in the exception handling has changed.

2065  execve("/usr/libexec/git-core/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
2065  execve("/usr/local/sbin/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
2065  execve("/usr/local/bin/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
2065  execve("/usr/sbin/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
2065  execve("/usr/bin/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
2065  execve("/root/bin/quvi", ["quvi", "--version"], [/* 26 vars */]) = -1 ENOENT (No such file or directory)
Comment 1 Dominic Cleal 2015-08-12 04:08:42 EDT
Created attachment 1061844 [details]
backport fix to dist-git master branch

Seems this has already been fixed in a newer git-annex version:
https://github.com/joeyh/git-annex/commit/d3b61d69b10371676d8ef580a108c722106b8c00
https://github.com/joeyh/git-annex/commit/6726ce81163d6e8cac398e3489a91607420fd0bf

The bug's due to using ghc-process 1.2.0 in F22, while F21 had 1.1.0.

Attached a patch for git-annex's dist-git master (rawhide) branch to backport the fix, which works for me.
Comment 2 Fedora End Of Life 2016-07-19 13:28:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Dominic Cleal 2016-09-08 03:09:21 EDT
Still an issue in Fedora 24.
Comment 4 Jens Petersen 2017-06-15 05:53:20 EDT
I wonder if this is fixed upstream?

Maybe you can https://copr.fedorainfracloud.org/coprs/petersen/git-annex/ which has the latest version.

i think this only affects F24 since quvi support was disabled in F25+ alas.

I could push an update for F24 if it is worthwhile.
Comment 5 Fedora End Of Life 2017-07-25 15:08:31 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:07:41 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.